Debian Bug report logs - #317098
Kmail segfaults at startup after minor upgrade of kdelibs4

version graph

Package: kmail; Maintainer for kmail is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for kmail is src:kdepim.

Reported by: Nicolas DEGAND <nicolas.degand@laposte.net>

Date: Wed, 6 Jul 2005 09:48:02 UTC

Severity: grave

Merged with 319135

Found in versions 3.3.2-3, 4:3.3.2-3

Fixed in version 4:3.4.2-1

Done: Adeodato Simó <asp16@alu.ua.es>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Nicolas DEGAND <nicolas.degand@laposte.net>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolas DEGAND <nicolas.degand@laposte.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Kmail segfaults at startup after minor upgrade of kdelibs4
Date: Wed, 06 Jul 2005 11:42:42 +0200
Package: kmail
Version: 4:3.3.2-3
Severity: grave

Since today's update of kdelibs4 to 3.3.2-7, kmail segfaults at startup 
without any additional info. No other software seems to suffer from the 
problem (I do not have kontact installed but I have akregator and knode 
and they still works).

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11-1-k7
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages kmail depends on:
ii  kdelibs4                 4:3.3.2-7       KDE core libraries
ii  libc6                    2.3.2.ds1-22    GNU C Library: Shared libraries an
ii  libgcc1                  1:4.0.0-12      GCC support library
ii  libice6                  4.3.0.dfsg.1-14 Inter-Client Exchange library
ii  libkcal2a                4:3.3.2-3       KDE calendaring library
ii  libkdenetwork2           4:3.3.2-3       KDE Network library
ii  libkdepim1               4:3.3.2-3       KDE PIM library
ii  libkleopatra0a           4:3.3.2-3       KDE GnuPG interface libraries
ii  libkpimidentities1       4:3.3.2-3       KDE PIM user identity information 
ii  libksieve0               4:3.3.2-3       KDE mail/news message filtering li
ii  libmimelib1a             4:3.3.2-3       KDE mime library
ii  libpng12-0               1.2.8rel-1      PNG library - runtime
ii  libqt3c102-mt            3:3.3.4-3       Qt GUI Library (Threaded runtime v
ii  libsm6                   4.3.0.dfsg.1-14 X Window System Session Management
ii  libstdc++5               1:3.3.6-7       The GNU Standard C++ Library v3
ii  libx11-6                 4.3.0.dfsg.1-14 X Window System protocol client li
ii  libxext6                 4.3.0.dfsg.1-14 X Window System miscellaneous exte
ii  perl                     5.8.7-3         Larry Wall's Practical Extraction 
ii  xlibs                    4.3.0.dfsg.1-14 X Keyboard Extension (XKB) configu
ii  zlib1g                   1:1.2.2-6       compression library - runtime

Versions of packages kmail recommends:
ii  kdebase-kio-plugins           4:3.3.2-1  KDE I/O Slaves
ii  kdepim-kio-plugins            4:3.3.2-3  KDE pim I/O Slaves
ii  procmail                      3.22-11    Versatile e-mail processor

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to "Nicolas DEGAND" <nicolas.degand@laposte.net>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 317098@bugs.debian.org (full text, mbox):

From: "Nicolas DEGAND" <nicolas.degand@laposte.net>
To: "317098" <317098@bugs.debian.org>
Subject: Kmail segfaults at startup after minor upgrade of kdelibs4
Date: Wed, 6 Jul 2005 15:03:55 +0200
Forgot to mention it still happens after I rebooted.

Accédez au courrier électronique de La Poste : www.laposte.net ; 
3615 LAPOSTENET (0,34€/mn) ; tél : 08 92 68 13 50 (0,34€/mn)






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <linux@codehelp.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 317098@bugs.debian.org (full text, mbox):

From: Neil Williams <linux@codehelp.co.uk>
To: Debian Bug Tracking System <317098@bugs.debian.org>
Subject: kmail: Seg fault on startup: no effect by downgrading kdenetwork : gdb output included
Date: Wed, 06 Jul 2005 15:28:29 +0100
Package: kmail
Version: 4:3.3.2-3
Followup-For: Bug #317098


I thought it was due to a kdenetwork upgrade that took place last night,
so I tried to downgrade kdenetwork to 4:3.3.2-5 (currently in testing)
with no effect. This is the output from running kmail under gdb:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 16384 (LWP 22292)]
0x40e1a95b in QString::QString () from /usr/lib/libqt-mt.so.3
(gdb) bt
#0  0x40e1a95b in QString::QString () from /usr/lib/libqt-mt.so.3
#1  0x41558ea5 in KPIM::Identity::Identity () from
/usr/lib/libkpimidentities.so.1
#2  0x4155c1d2 in KPIM::IdentityManager::functions () from
/usr/lib/libkpimidentities.so.1
#3  0x4155c2eb in KPIM::IdentityManager::functions () from
/usr/lib/libkpimidentities.so.1
#4  0x4155f965 in QMemArray<char>::detach () from
/usr/lib/libkpimidentities.so.1
#5  0x41551c85 in _init () from /usr/lib/libkpimidentities.so.1
#6  0x4000c1ce in _dl_catch_error () from /lib/ld-linux.so.2
#7  0x4000c2ba in _dl_init () from /lib/ld-linux.so.2
#8  0x40000c5d in ?? () from /lib/ld-linux.so.2


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.25-1-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages kmail depends on:
ii  kdelibs4                 4:3.3.2-7       KDE core libraries
ii  libc6                    2.3.2.ds1-22    GNU C Library: Shared libraries an
ii  libgcc1                  1:4.0.0-12      GCC support library
ii  libice6                  4.3.0.dfsg.1-14 Inter-Client Exchange library
ii  libkcal2a                4:3.3.2-3       KDE calendaring library
ii  libkdenetwork2           4:3.3.2-3       KDE Network library
ii  libkdepim1               4:3.3.2-3       KDE PIM library
ii  libkleopatra0a           4:3.3.2-3       KDE GnuPG interface libraries
ii  libkpimidentities1       4:3.3.2-3       KDE PIM user identity information 
ii  libksieve0               4:3.3.2-3       KDE mail/news message filtering li
ii  libmimelib1a             4:3.3.2-3       KDE mime library
ii  libpng12-0               1.2.8rel-1      PNG library - runtime
ii  libqt3c102-mt            3:3.3.4-3       Qt GUI Library (Threaded runtime v
ii  libsm6                   4.3.0.dfsg.1-14 X Window System Session Management
ii  libstdc++5               1:3.3.6-7       The GNU Standard C++ Library v3
ii  libx11-6                 4.3.0.dfsg.1-14 X Window System protocol client li
ii  libxext6                 4.3.0.dfsg.1-14 X Window System miscellaneous exte
ii  perl                     5.8.7-3         Larry Wall's Practical Extraction 
ii  xlibs                    4.3.0.dfsg.1-14 X Keyboard Extension (XKB) configu
ii  zlib1g                   1:1.2.2-6       compression library - runtime

Versions of packages kmail recommends:
ii  kdebase-kio-plugins           4:3.3.2-1  KDE I/O Slaves
ii  kdepim-kio-plugins            4:3.3.2-3  KDE pim I/O Slaves
ii  procmail                      3.22-11    Versatile e-mail processor

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 317098@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 317098@bugs.debian.org
Subject: but kontact works (??)
Date: Wed, 6 Jul 2005 11:39:13 -0400
[Message part 1 (text/plain, inline)]
  kmail segfaults for me too.  Funny thing is, running kontact works 
(including the "Mail" component, which appears to just be kmail).

  Daniel
-- 
/------------------- Daniel Burrows <dburrows@debian.org> ------------------\
|        "Note that fires are not restricted to dormitories.                |
|         Indeed, fire can occur in off-campus residences as well."         |
|          -- Brown University Fire Safety Guide                            |
\--- Be like the kid in the movie!  Play chess! -- http://www.uschess.org --/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Ido Kanner <kanerido@actcom.net.il>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 317098@bugs.debian.org (full text, mbox):

From: Ido Kanner <kanerido@actcom.net.il>
To: 317098@bugs.debian.org
Subject: A strace result of the bug
Date: Wed, 6 Jul 2005 20:42:50 +0300
[Message part 1 (text/plain, inline)]
Hi,

I'm adding a strace result of the bug itself, I hope it will help to fix the issue.



Thanks,

Ido

[kmail (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to David Schmitt <david@schmitt.edv-bus.at>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 317098@bugs.debian.org (full text, mbox):

From: David Schmitt <david@schmitt.edv-bus.at>
To: Debian Bug Tracking System <317098@bugs.debian.org>
Subject: backtrace for kmail segfault
Date: Wed, 06 Jul 2005 16:22:38 +0200
Package: kmail
Version: 4:3.3.2-3
Followup-For: Bug #317098

Same problem here. Backtrace:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208117184 (LWP 2910)]
0x43fe11db in QString::QString () from /usr/lib/libqt-mt.so.3
(gdb) bt full
#0  0x43fe11db in QString::QString () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#1  0x42d0a345 in KPIM::Identity::Identity () from
/usr/lib/libkpimidentities.so.1
No symbol table info available.
#2  0x42d0d672 in KPIM::IdentityManager::functions () from
/usr/lib/libkpimidentities.so.1
No symbol table info available.
#3  0x42d0d78b in KPIM::IdentityManager::functions () from
/usr/lib/libkpimidentities.so.1
No symbol table info available.
#4  0x42d10e05 in QMemArray<char>::detach () from
/usr/lib/libkpimidentities.so.1
No symbol table info available.
#5  0x42d03125 in _init () from /usr/lib/libkpimidentities.so.1
No symbol table info available.
#6  0x41c291ce in _dl_catch_error () from /lib/ld-linux.so.2
No symbol table info available.
#7  0x41c292ba in _dl_init () from /lib/ld-linux.so.2
No symbol table info available.
#8  0x41c1dc5d in ?? () from /lib/ld-linux.so.2
No symbol table info available.
(gdb) 

Regards, David

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11-p4-suspend2-4
Locale: LANG=C, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)

Versions of packages kmail depends on:
ii  kdelibs4            4:3.3.2-7            KDE core libraries
ii  libc6               2.3.2.ds1-22         GNU C Library: Shared libraries an
ii  libgcc1             1:4.0.0-12           GCC support library
ii  libice6             6.8.2.dfsg.1-0pre1v1 Inter-Client Exchange library
ii  libkcal2a           4:3.3.2-3            KDE calendaring library
ii  libkdenetwork2      4:3.3.2-3            KDE Network library
ii  libkdepim1          4:3.3.2-3            KDE PIM library
ii  libkleopatra0a      4:3.3.2-3            KDE GnuPG interface libraries
ii  libkpimidentities1  4:3.3.2-3            KDE PIM user identity information 
ii  libksieve0          4:3.3.2-3            KDE mail/news message filtering li
ii  libmimelib1a        4:3.3.2-3            KDE mime library
ii  libpng12-0          1.2.8rel-1           PNG library - runtime
ii  libqt3c102-mt       3:3.3.4-3            Qt GUI Library (Threaded runtime v
ii  libsm6              6.8.2.dfsg.1-0pre1v1 X Window System Session Management
ii  libstdc++5          1:3.3.6-7            The GNU Standard C++ Library v3
ii  libx11-6            6.8.2.dfsg.1-0pre1v1 X Window System protocol client li
ii  libxext6            6.8.2.dfsg.1-0pre1v1 X Window System miscellaneous exte
ii  perl                5.8.7-3              Larry Wall's Practical Extraction 
ii  xlibs               6.8.2.dfsg.1-0pre1v1 X Window System client libraries m
ii  zlib1g              1:1.2.2-6            compression library - runtime

Versions of packages kmail recommends:
ii  kdebase-kio-plugins           4:3.3.2-1  KDE I/O Slaves
ii  kdepim-kio-plugins            4:3.3.2-3  KDE pim I/O Slaves
ii  procmail                      3.22-11    Versatile e-mail processor

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to "Balazs Halasy" <bh@ez.no>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 317098@bugs.debian.org (full text, mbox):

From: "Balazs Halasy" <bh@ez.no>
To: <317098@bugs.debian.org>
Subject: Kmail segfaults at startup after upgrade of Debian Unstable
Date: Thu, 7 Jul 2005 10:44:18 +0200
Kmail simply segfaults no matter what I do. It just dies right away when I
attempt to start it. This happened (and keeps happening) after I did an
apt-get update && apt-get upgrade && apt-get dist-upgrade yesterday. Please
fix this as soon as possible.

Sincerely Yours

Allman

-- 
Balazs Halasy
System Developer
bh@ez.no | eZ systems | www.ez.no 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Alexander Denisjuk <denisjuk@pwsz.net>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 317098@bugs.debian.org (full text, mbox):

From: Alexander Denisjuk <denisjuk@pwsz.net>
To: 317098@bugs.debian.org
Subject: Kmail segfaults at startup after minor upgrade of kdelibs4
Date: Thu, 7 Jul 2005 13:00:39 +0200
Hi, all!

I downgraded kdelibs4 (and consequently kdelibs kdelibs-bin) and now it works 
fine.

A. Denisjuk.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Brad Sims <bsims@abnt.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 317098@bugs.debian.org (full text, mbox):

From: Brad Sims <bsims@abnt.org>
To: Debian Bug Tracking System <317098@bugs.debian.org>
Subject: #317098: Kmail segfaults at startup after minor upgrade of kdelibs4
Date: Thu, 07 Jul 2005 14:03:07 -0500
Package: kmail
Version: 4:3.3.2-3
Followup-For: Bug #317098

I too can confirm this error, downgrading to 
4:3.3.2-6.1 lets kmail work but Konqueror is
still broken. 

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.27-2-k7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages kmail depends on:
ii  kdelibs4                 4:3.3.2-6.1     KDE core libraries
ii  libc6                    2.3.2.ds1-22    GNU C Library: Shared libraries an
ii  libgcc1                  1:4.0.0-12      GCC support library
ii  libice6                  4.3.0.dfsg.1-14 Inter-Client Exchange library
ii  libkcal2a                4:3.3.2-3       KDE calendaring library
ii  libkdenetwork2           4:3.3.2-3       KDE Network library
ii  libkdepim1               4:3.3.2-3       KDE PIM library
ii  libkleopatra0a           4:3.3.2-3       KDE GnuPG interface libraries
ii  libkpimidentities1       4:3.3.2-3       KDE PIM user identity information 
ii  libksieve0               4:3.3.2-3       KDE mail/news message filtering li
ii  libmimelib1a             4:3.3.2-3       KDE mime library
ii  libpng12-0               1.2.8rel-1      PNG library - runtime
ii  libqt3c102-mt            3:3.3.4-3       Qt GUI Library (Threaded runtime v
ii  libsm6                   4.3.0.dfsg.1-14 X Window System Session Management
ii  libstdc++5               1:3.3.6-7       The GNU Standard C++ Library v3
ii  libx11-6                 4.3.0.dfsg.1-14 X Window System protocol client li
ii  libxext6                 4.3.0.dfsg.1-14 X Window System miscellaneous exte
ii  perl                     5.8.7-3         Larry Wall's Practical Extraction 
ii  xlibs                    4.3.0.dfsg.1-14 X Keyboard Extension (XKB) configu
ii  zlib1g                   1:1.2.2-7       compression library - runtime

Versions of packages kmail recommends:
ii  kdebase-kio-plugins           4:3.3.2-1  KDE I/O Slaves
ii  kdepim-kio-plugins            4:3.3.2-3  KDE pim I/O Slaves
ii  procmail                      3.22-11    Versatile e-mail processor

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Brian Beck <brian.beck@mchsi.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 317098@bugs.debian.org (full text, mbox):

From: Brian Beck <brian.beck@mchsi.com>
To: 317098@bugs.debian.org
Subject: Kmail dies with "Segmentation fault" after upgrade
Date: Thu, 7 Jul 2005 20:58:22 -0500
Package: kmail
Version: 3.3.2-3

I just (8:30 p.m. CST 7 July 2005) did an aptitude update and aptitude 
upgrade, and now kmail won't start.  If I attempt to run Kmail from the 
command line I get the single error message "Segmentation fault".  The weird 
part is that I'm writing this message from Mail in Kontact which is just 
Kmail embedded into a larger application, so I'm not certain what is going on 
exactly.  I've rebooted my computer completely, and I've noticed no other 
applications acting strangely, so I am completely bewildered.  Any help would 
be appreciated, and if I can help out just ask.

uname -a: 
Linux legionWorld 2.4.27-1-386 #1 Wed Dec 1 19:43:08 JST 2004 i686 GNU/Linux

ls -l /lib/libc.so.6
lrwxrwxrwx  1 root root 13 2005-05-11 22:18 /lib/libc.so.6 -> libc-2.3.2.so

Thanks.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Mazen NEIFER <mazen.neifer.01@supaero.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 317098@bugs.debian.org (full text, mbox):

From: Mazen NEIFER <mazen.neifer.01@supaero.org>
To: Debian Bug Tracking System <317098@bugs.debian.org>
Subject: kmail: More about Kmail segfaults at startup after minor upgrade of kdelibs4
Date: Sun, 10 Jul 2005 13:07:08 +0200
Package: kmail
Version: 4:3.3.2-3
Followup-For: Bug #317098

Most kde applications work well (I've not tried them all). gdb gives 

program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1110643360 (LWP 3444)]
0x40e1d95b in QString::QString () from /usr/lib/libqt-mt.so.3

hope it helps!

Mazen NEIFER

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-2-686
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages kmail depends on:
ii  kdelibs4                 4:3.3.2-7       KDE core libraries
ii  libc6                    2.3.2.ds1-22    GNU C Library: Shared libraries an
ii  libgcc1                  1:4.0.0-12      GCC support library
ii  libice6                  4.3.0.dfsg.1-14 Inter-Client Exchange library
ii  libkcal2a                4:3.3.2-3       KDE calendaring library
ii  libkdenetwork2           4:3.3.2-3       KDE Network library
ii  libkdepim1               4:3.3.2-3       KDE PIM library
ii  libkleopatra0a           4:3.3.2-3       KDE GnuPG interface libraries
ii  libkpimidentities1       4:3.3.2-3       KDE PIM user identity information 
ii  libksieve0               4:3.3.2-3       KDE mail/news message filtering li
ii  libmimelib1a             4:3.3.2-3       KDE mime library
ii  libpng12-0               1.2.8rel-1      PNG library - runtime
ii  libqt3c102-mt            3:3.3.4-3       Qt GUI Library (Threaded runtime v
ii  libsm6                   4.3.0.dfsg.1-14 X Window System Session Management
ii  libstdc++5               1:3.3.6-7       The GNU Standard C++ Library v3
ii  libx11-6                 4.3.0.dfsg.1-14 X Window System protocol client li
ii  libxext6                 4.3.0.dfsg.1-14 X Window System miscellaneous exte
ii  perl                     5.8.7-4         Larry Wall's Practical Extraction 
ii  xlibs                    4.3.0.dfsg.1-14 X Keyboard Extension (XKB) configu
ii  zlib1g                   1:1.2.2-7       compression library - runtime

Versions of packages kmail recommends:
ii  kdebase-kio-plugins           4:3.3.2-1  KDE I/O Slaves
ii  kdepim-kio-plugins            4:3.3.2-3  KDE pim I/O Slaves
ii  procmail                      3.22-11    Versatile e-mail processor

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Niels Elgaard Larsen <elgaard@agol.dk>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 317098@bugs.debian.org (full text, mbox):

From: Niels Elgaard Larsen <elgaard@agol.dk>
To: Debian Bug Tracking System <317098@bugs.debian.org>
Subject: kmail: happens for me too
Date: Mon, 11 Jul 2005 21:01:21 +0200
Package: kmail
Version: 4:3.3.2-3
Followup-For: Bug #317098




-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11
Locale: LANG=da_DK.iso88591, LC_CTYPE=C (charmap=ISO-8859-1) (ignored: LC_ALL set to da_DK.iso88591)

Versions of packages kmail depends on:
ii  kdelibs4                 4:3.3.2-7       KDE core libraries
ii  libc6                    2.3.2.ds1-22    GNU C Library: Shared libraries an
ii  libgcc1                  1:4.0.1-1       GCC support library
ii  libice6                  4.3.0.dfsg.1-14 Inter-Client Exchange library
ii  libkcal2a                4:3.3.2-3       KDE calendaring library
ii  libkdenetwork2           4:3.3.2-3       KDE Network library
ii  libkdepim1               4:3.3.2-3       KDE PIM library
ii  libkleopatra0a           4:3.3.2-3       KDE GnuPG interface libraries
ii  libkpimidentities1       4:3.3.2-3       KDE PIM user identity information 
ii  libksieve0               4:3.3.2-3       KDE mail/news message filtering li
ii  libmimelib1a             4:3.3.2-3       KDE mime library
ii  libpng12-0               1.2.8rel-1      PNG library - runtime
ii  libqt3c102-mt            3:3.3.4-3       Qt GUI Library (Threaded runtime v
ii  libsm6                   4.3.0.dfsg.1-14 X Window System Session Management
ii  libstdc++5               1:3.3.6-7       The GNU Standard C++ Library v3
ii  libx11-6                 4.3.0.dfsg.1-14 X Window System protocol client li
ii  libxext6                 4.3.0.dfsg.1-14 X Window System miscellaneous exte
ii  perl                     5.8.7-4         Larry Wall's Practical Extraction 
ii  xlibs                    4.3.0.dfsg.1-14 X Keyboard Extension (XKB) configu
ii  zlib1g                   1:1.2.2-8       compression library - runtime

Versions of packages kmail recommends:
ii  kdebase-kio-plugins           4:3.3.2-1  KDE I/O Slaves
ii  kdepim-kio-plugins            4:3.3.2-3  KDE pim I/O Slaves
ii  procmail                      3.22-11    Versatile e-mail processor

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Paul Brook <paul@codesourcery.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 317098@bugs.debian.org (full text, mbox):

From: Paul Brook <paul@codesourcery.com>
To: 317098@bugs.debian.org
Subject: Kmail segfaults at startup after minor upgrade of kdelibs4
Date: Wed, 13 Jul 2005 17:14:09 +0100
Rebuilding the kdepim source package, and installing the resulting lib*.deb 
fixed the problem for me.

Paul



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Caveman <commscentral@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 317098@bugs.debian.org (full text, mbox):

From: Caveman <commscentral@gmail.com>
To: 317098@bugs.debian.org
Subject: how long is this going to take?
Date: Sat, 16 Jul 2005 14:57:22 +1000
Its been 9 days since this bug was first listed. Whats the trouble
with getting it fixed?
I would have thought this would be a rather major program that the
maintainer would have wanted to fix quickly.
But we don't seem to have had a word from him.


-- 
Caveman
email: commscentral@gmail.com
website: http://www.commscentral.net



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 317098@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Caveman <commscentral@gmail.com>, 317098@bugs.debian.org
Subject: Re: Bug#317098: how long is this going to take?
Date: Sat, 16 Jul 2005 01:12:14 -0700
[Message part 1 (text/plain, inline)]
On Sat, Jul 16, 2005 at 02:57:22PM +1000, Caveman wrote:
> Its been 9 days since this bug was first listed. Whats the trouble
> with getting it fixed?
> I would have thought this would be a rather major program that the
> maintainer would have wanted to fix quickly.
> But we don't seem to have had a word from him.

No KDE applications are currently buildable in unstable due to the C++ ABI
transition.

-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Caveman <commscentral@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #80 received at 317098@bugs.debian.org (full text, mbox):

From: Caveman <commscentral@gmail.com>
To: 317098@bugs.debian.org
Subject: Re: Bug#317098: how long is this going to take?
Date: Sat, 16 Jul 2005 21:11:01 +1000
Fair enough. 

Thanks for that update.

Caveman

On 7/16/05, Steve Langasek <vorlon@debian.org> wrote:
> On Sat, Jul 16, 2005 at 02:57:22PM +1000, Caveman wrote:
> > Its been 9 days since this bug was first listed. Whats the trouble
> > with getting it fixed?
> > I would have thought this would be a rather major program that the
> > maintainer would have wanted to fix quickly.
> > But we don't seem to have had a word from him.
> 
> No KDE applications are currently buildable in unstable due to the C++ ABI
> transition.
> 
> --
> Steve Langasek
> postmodern programmer
> 
> 
> BodyID:126504147.2.n.logpart (stored separately)
> 
> 


-- 
Caveman
email: commscentral@gmail.com
website: http://www.commscentral.net



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Georg Hoermann <schorsch@hydrology.uni-kiel.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #85 received at 317098@bugs.debian.org (full text, mbox):

From: Georg Hoermann <schorsch@hydrology.uni-kiel.de>
To: Debian Bug Tracking System <317098@bugs.debian.org>
Subject: kmail: Same problem for me - segfault without any information
Date: Tue, 19 Jul 2005 08:33:37 +0200
Package: kmail
Version: 4:3.3.2-3
Followup-For: Bug #317098



-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'proposed-updates'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.26
Locale: LANG=C, LC_CTYPE=C (charmap=ISO-8859-15) (ignored: LC_ALL set to de_DE@euro)

Versions of packages kmail depends on:
ii  kdelibs4                  4:3.3.2-7      KDE core libraries
ii  libc6                     2.3.2.ds1-22   GNU C Library: Shared libraries an
ii  libgcc1                   1:4.0.1-2      GCC support library
ii  libice6                   6.8.2.dfsg.1-3 Inter-Client Exchange library
ii  libkcal2a                 4:3.3.2-3      KDE calendaring library
ii  libkdenetwork2            4:3.3.2-3      KDE Network library
ii  libkdepim1                4:3.3.2-3      KDE PIM library
ii  libkleopatra0a            4:3.3.2-3      KDE GnuPG interface libraries
ii  libkpimidentities1        4:3.3.2-3      KDE PIM user identity information 
ii  libksieve0                4:3.3.2-3      KDE mail/news message filtering li
ii  libmimelib1a              4:3.3.2-3      KDE mime library
ii  libpng12-0                1.2.8rel-1     PNG library - runtime
ii  libqt3c102-mt             3:3.3.4-3      Qt GUI Library (Threaded runtime v
ii  libsm6                    6.8.2.dfsg.1-3 X Window System Session Management
ii  libstdc++5                1:3.3.6-7      The GNU Standard C++ Library v3
ii  libx11-6                  6.8.2.dfsg.1-3 X Window System protocol client li
ii  libxext6                  6.8.2.dfsg.1-3 X Window System miscellaneous exte
ii  perl                      5.8.7-4        Larry Wall's Practical Extraction 
ii  xlibs                     6.8.2.dfsg.1-3 X Window System client libraries m
ii  zlib1g                    1:1.2.2-9      compression library - runtime

Versions of packages kmail recommends:
ii  kdebase-kio-plugins           4:3.3.2-1  KDE I/O Slaves
ii  kdepim-kio-plugins            4:3.3.2-3  KDE pim I/O Slaves
ii  procmail                      3.22-11    Versatile e-mail processor

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Sebastien Couret <sebastien.couret@elios-informatique.fr>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #90 received at 317098@bugs.debian.org (full text, mbox):

From: Sebastien Couret <sebastien.couret@elios-informatique.fr>
To: Debian Bug Tracking System <317098@bugs.debian.org>
Subject: kmail: Kmail segfaults : gdb backtrace
Date: Tue, 19 Jul 2005 11:43:50 +0200
Package: kmail
Version: 4:3.3.2-3
Followup-For: Bug #317098


Hi All,
As already reported in Bug#317098 , kmail is segfaulting since a recent
apt upgrade.
Here's a gdb backtrace obtained on kmail :

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1244858304 (LWP 5358)]
0xb758d95b in QString::QString () from /usr/lib/libqt-mt.so.3
(gdb) bt
#0  0xb758d95b in QString::QString () from /usr/lib/libqt-mt.so.3
#1  0xb6aaeea5 in KPIM::Identity::Identity ()
      from /usr/lib/libkpimidentities.so.1
#2  0xb6ab21d2 in KPIM::IdentityManager::functions ()
      from /usr/lib/libkpimidentities.so.1
#3  0xb6ab22eb in KPIM::IdentityManager::functions ()
      from /usr/lib/libkpimidentities.so.1
#4  0xb6ab5965 in QMemArray<char>::detach ()
      from /usr/lib/libkpimidentities.so.1
#5  0xb6aa7c85 in _init () from
     /usr/lib/libkpimidentities.so.1
#6  0xb7ff61ce in _dl_catch_error () from /lib/ld-linux.so.2
#7  0xb7ff62ba in _dl_init () from /lib/ld-linux.so.2
#8  0xb7feac5d in ?? () from /lib/ld-linux.so.2
(gdb) 

Hope this helps.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages kmail depends on:
ii  kdelibs4                  4:3.3.2-7      KDE core libraries
ii  libc6                     2.3.2.ds1-22   GNU C Library: Shared libraries an
ii  libgcc1                   1:4.0.1-2      GCC support library
ii  libice6                   6.8.2.dfsg.1-3 Inter-Client Exchange library
ii  libkcal2a                 4:3.3.2-3      KDE calendaring library
ii  libkdenetwork2            4:3.3.2-3      KDE Network library
ii  libkdepim1                4:3.3.2-3      KDE PIM library
ii  libkleopatra0a            4:3.3.2-3      KDE GnuPG interface libraries
ii  libkpimidentities1        4:3.3.2-3      KDE PIM user identity information 
ii  libksieve0                4:3.3.2-3      KDE mail/news message filtering li
ii  libmimelib1a              4:3.3.2-3      KDE mime library
ii  libpng12-0                1.2.8rel-1     PNG library - runtime
ii  libqt3c102-mt             3:3.3.4-3      Qt GUI Library (Threaded runtime v
ii  libsm6                    6.8.2.dfsg.1-3 X Window System Session Management
ii  libstdc++5                1:3.3.6-7      The GNU Standard C++ Library v3
ii  libx11-6                  6.8.2.dfsg.1-3 X Window System protocol client li
ii  libxext6                  6.8.2.dfsg.1-3 X Window System miscellaneous exte
ii  perl                      5.8.7-4        Larry Wall's Practical Extraction 
ii  xlibs                     6.8.2.dfsg.1-3 X Window System client libraries m
ii  zlib1g                    1:1.2.2-9      compression library - runtime

Versions of packages kmail recommends:
ii  kdebase-kio-plugins           4:3.3.2-1  KDE I/O Slaves
ii  kdepim-kio-plugins            4:3.3.2-3  KDE pim I/O Slaves
ii  procmail                      3.22-11    Versatile e-mail processor

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to David Raleigh Arnold <darnold4@cox.net>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #95 received at 317098@bugs.debian.org (full text, mbox):

From: David Raleigh Arnold <darnold4@cox.net>
To: 317098@bugs.debian.org
Subject: 317098
Date: Tue, 19 Jul 2005 18:55:54 +0000
When attempting to start kmail by means of icon, there is message
"kdeinit 
could not launch kmail".  Otherwise of course it segfaults.  I notice
that there is
no kdeinit_kmail.  daveA




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Øyvind Hanssen <oivindh@oyvind.cs.uit.no>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #102 received at 317098@bugs.debian.org (full text, mbox):

From: Øyvind Hanssen <oivindh@oyvind.cs.uit.no>
To: Debian Bug Tracking System <317098@bugs.debian.org>
Subject: kmail: Same problem here
Date: Fri, 29 Jul 2005 12:07:09 +0200
Package: kmail
Version: 4:3.3.2-3
Followup-For: Bug #317098

I have exactly the same problem with kdelibs and kmail. I can 
get an older version of kdelibs4 and kdelibs-bin from 
elsewhere and downgrade using dpkg -i, but apt-get
insists on having the latest version of these libraries, 
when I want to install a package, it tells 
me to run apt-get -f install which will upgrade the 
kdelibs again to the version which breaks kmail. 


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13-rc3-mm3
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages kmail depends on:
ii  kdelibs4                  4:3.3.2-6.1    KDE core libraries
ii  libc6                     2.3.2.ds1-22   GNU C Library: Shared libraries an
ii  libgcc1                   1:4.0.1-2      GCC support library
ii  libice6                   6.8.2.dfsg.1-4 Inter-Client Exchange library
ii  libkcal2a                 4:3.3.2-3      KDE calendaring library
ii  libkdenetwork2            4:3.3.2-3      KDE Network library
ii  libkdepim1                4:3.3.2-3      KDE PIM library
ii  libkleopatra0a            4:3.3.2-3      KDE GnuPG interface libraries
ii  libkpimidentities1        4:3.3.2-3      KDE PIM user identity information 
ii  libksieve0                4:3.3.2-3      KDE mail/news message filtering li
ii  libmimelib1a              4:3.3.2-3      KDE mime library
ii  libpng12-0                1.2.8rel-1     PNG library - runtime
ii  libqt3c102-mt             3:3.3.4-3      Qt GUI Library (Threaded runtime v
ii  libsm6                    6.8.2.dfsg.1-4 X Window System Session Management
ii  libstdc++5                1:3.3.6-7      The GNU Standard C++ Library v3
ii  libx11-6                  6.8.2.dfsg.1-4 X Window System protocol client li
ii  libxext6                  6.8.2.dfsg.1-4 X Window System miscellaneous exte
ii  perl                      5.8.7-4        Larry Wall's Practical Extraction 
ii  xlibs                     6.8.2.dfsg.1-4 X Window System client libraries m
ii  zlib1g                    1:1.2.3-1      compression library - runtime

Versions of packages kmail recommends:
ii  kdebase-kio-plugins           4:3.3.2-1  KDE I/O Slaves
ii  kdepim-kio-plugins            4:3.3.2-3  KDE pim I/O Slaves
ii  procmail                      3.22-11    Versatile e-mail processor

-- no debconf information



Merged 317098 319135. Request was from David Schmitt <david@schmitt.edv-bus.at> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to "Merlin, the Mage" <merlin@camelot.co.pt>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #109 received at 317098@bugs.debian.org (full text, mbox):

From: "Merlin, the Mage" <merlin@camelot.co.pt>
To: 317098@bugs.debian.org
Subject: Still Open?
Date: Sun, 7 Aug 2005 21:14:55 +0100
Hi ppl,

	His this bug still open?

	There is any way to correct this without compiling kdepim, that I already 
tried without sucess and didn't have much sucess (don't have much time to 
solve the presented problems)

	I'm using debian unstable, and kontact to read email, but the mailto: links 
from galeon and similars don't work.

	There is any prevision on when will this be corrected?

	Thanks,

themage
-- 
Merlin, the Mage
http://www.sites-favoritos.com/user/merlin
http://www.cultodavida.online.pt
http://www.code.online.pt

Carpe Vitam



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #114 received at 317098@bugs.debian.org (full text, mbox):

From: Christopher Knadle <Chris.Knadle@coredump.us>
To: 317098@bugs.debian.org
Subject: KMail broken, confusing bug
Date: Mon, 8 Aug 2005 21:53:37 -0400
Hello all.

   After an upgrade a month ago KMail reliably segfalts.  [Kaffeine also 
segfaults upon quitting, or fails to quit and takes up 100% cpu until 
manually killed.]  I found this bug report already open, so I didn't write 
one at the time.

   What is confusing me is that all of the KDE-based libraries (with the 
exception of kdelibs4) and the version of KMail itself are common with the 
Debian Stable branch -- and yet it is reported that rebuilding the kdepim 
package seems to fix the problem in the Unstable branch.  Is there something 
wrong with the current binary of the kdepim package in Unstable?

   Rebuilding the kdepim package requires kdelibs4-dev which cannot be 
installed due to dependency conflicts with libfam0 and libfam0c102.

   Also as previously reported, Kontact seems to run just fine and seems to 
contain all of the functionality that KMail had.
   I thank the users that mentioned it, as I now have a workaround while I am 
unable to run KMail.

	- Chris

-- 

Chris Knadle
Chris.Knadle@coredump.us



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to prosolutions@gmx.net:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #119 received at 317098@bugs.debian.org (full text, mbox):

From: prosolutions@gmx.net
To: 317098@bugs.debian.org
Subject: Fix described earlier works
Date: Wed, 10 Aug 2005 18:05:27 -0700
I too confirm this bug.  When it crashes there is no output.  Strace
output also appeared to not be very useful.  The fix mentioned above
does work:

If you are running Sid and have the kdelibs4 and kdelibs-bin version 3.3.2-7
installed:

1. go to snapshot.debian.net
(http://snapshot.debian.net/archive/2005/05/24/debian/pool/main/k/kdelibs/)
and get version 3.3.2-6.1 of both these packages.  

2. Run dpkg -i kdelibs4_3.3.2-6.1_i386.deb   
It will fail to configure and give an error message about kdelibs-bin needing the later version.  

3. Then run dpkg -i kdelibs-bin_3.3.2-6.1_i386.deb 
and you will get a similar message that it fails to configure.

4. Finally, run dpkg --configure --pending and both packages will be configured.  Kmail should now work.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#317098; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Xabier Villar <xabier.villar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #124 received at 317098@bugs.debian.org (full text, mbox):

From: Xabier Villar <xabier.villar@gmail.com>
To: Debian Bug Tracking System <317098@bugs.debian.org>
Subject: kmail: Kmail Segmentation Fault
Date: Sat, 20 Aug 2005 16:22:44 +0200
Package: kmail
Version: 4:3.3.2-3
Followup-For: Bug #317098



-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.10
Locale: LANG=gl_ES@euro, LC_CTYPE=gl_ES.ISO8859-15 (charmap=ISO-8859-15) (ignored: LC_ALL set to gl_ES@euro)

Versions of packages kmail depends on:
ii  kdelibs4                  4:3.3.2-7      KDE core libraries
ii  libc6                     2.3.5-3        GNU C Library: Shared libraries an
ii  libgcc1                   1:4.0.1-5      GCC support library
ii  libice6                   6.8.2.dfsg.1-5 Inter-Client Exchange library
ii  libkcal2a                 4:3.3.2-3      KDE calendaring library
ii  libkdenetwork2            4:3.3.2-3      KDE Network library
ii  libkdepim1                4:3.3.2-3      KDE PIM library
ii  libkleopatra0a            4:3.3.2-3      KDE GnuPG interface libraries
ii  libkpimidentities1        4:3.3.2-3      KDE PIM user identity information 
ii  libksieve0                4:3.3.2-3      KDE mail/news message filtering li
ii  libmimelib1a              4:3.3.2-3      KDE mime library
ii  libpng12-0                1.2.8rel-1     PNG library - runtime
ii  libqt3c102-mt             3:3.3.4-3      Qt GUI Library (Threaded runtime v
ii  libsm6                    6.8.2.dfsg.1-5 X Window System Session Management
ii  libstdc++5                1:3.3.6-8      The GNU Standard C++ Library v3
ii  libx11-6                  6.8.2.dfsg.1-5 X Window System protocol client li
ii  libxext6                  6.8.2.dfsg.1-5 X Window System miscellaneous exte
ii  perl                      5.8.7-4        Larry Wall's Practical Extraction 
ii  xlibs                     6.8.2.dfsg.1-5 X Window System client libraries m
ii  zlib1g                    1:1.2.3-3      compression library - runtime

Versions of packages kmail recommends:
ii  kdebase-kio-plugins           4:3.3.2-1  KDE I/O Slaves
pn  kdepim-kio-plugins            <none>     (no description available)
ii  procmail                      3.22-11    Versatile e-mail processor

-- no debconf information



Reply sent to 320581@bugs.debian.org, Adeodato Simó <asp16@alu.ua.es>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nicolas DEGAND <nicolas.degand@laposte.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #129 received at 317098-done@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: 320581-done@bugs.debian.org, 317098-done@bugs.debian.org
Subject: Bug fixed now
Date: Sun, 4 Sep 2005 06:16:56 +0200
Version: 4:3.4.2-1

This bugs are fixed now:

  #320581 - kdelibs4: kmail crashes on startup with segmentation fault
  #317098 - Kmail segfaults at startup after minor upgrade of kdelibs4
  #319135 - kmail: SIGSEGV QString::QString () from /usr/lib/libqt-mt.so.3
  #325092 - kmail: Kmail segfault with libqt3c102-mt but works fine with
  libqt3-mt, but this situation isn't a livable one.

-- 
Adeodato Simó
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
    Listening to: Wagon Christ - Cris Chana
 
Man is certainly stark mad; he cannot make a flea, yet he makes gods by the
dozens.
                -- Michel de Montaigne




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 04:55:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:25:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.